/*
 *  geo-platform
 *  Rich webgis framework
 *  http://geo-platform.org
 * ====================================================================
 *
 * Copyright (C) 2008-2013 geoSDI Group (CNR IMAA - Potenza - ITALY).
 *
 * This program is free software: you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version. This program is distributed in the 
 * hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR 
 * A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details. You should have received a copy of the GNU General 
 * Public License along with this program. If not, see http://www.gnu.org/licenses/ 
 *
 * ====================================================================
 *
 * Linking this library statically or dynamically with other modules is 
 * making a combined work based on this library. Thus, the terms and 
 * conditions of the GNU General Public License cover the whole combination. 
 * 
 * As a special exception, the copyright holders of this library give you permission 
 * to link this library with independent modules to produce an executable, regardless 
 * of the license terms of these independent modules, and to copy and distribute 
 * the resulting executable under terms of your choice, provided that you also meet, 
 * for each linked independent module, the terms and conditions of the license of 
 * that module. An independent module is a module which is not derived from or 
 * based on this library. If you modify this library, you may extend this exception 
 * to your version of the library, but you are not obligated to do so. If you do not 
 * wish to do so, delete this exception statement from your version. 
 *
 */
package org.geosdi.geoplatform.gui.client.action.toolbar;

import org.geosdi.geoplatform.gui.action.ToolbarMapAction;
import org.geosdi.geoplatform.gui.client.Resources;
import org.geosdi.geoplatform.gui.client.event.ZoomPreviousEvent;
import org.geosdi.geoplatform.gui.client.event.ZoomPreviousEventHandler;
import org.geosdi.geoplatform.gui.client.widget.map.MapLayoutWidget;
import org.geosdi.geoplatform.gui.configuration.action.GeoPlatformEventHandler;
import org.geosdi.geoplatform.gui.impl.map.GeoPlatformMap;
import org.geosdi.geoplatform.gui.puregwt.GPHandlerManager;
import com.extjs.gxt.ui.client.event.ButtonEvent;
import com.google.gwt.event.shared.HandlerRegistration;
import org.geosdi.geoplatform.gui.client.i18n.MapModuleConstants;

/**
 * @author Giuseppe La Scaleia - CNR IMAA geoSDI Group
 * @email giuseppe.lascaleia@geosdi.org
 *
 */
public class ZoomPreviousAction extends ToolbarMapAction
        implements GeoPlatformEventHandler {

    private GeoPlatformMap mapWidget;
    private HandlerRegistration handlerRegistration;

    public ZoomPreviousAction(GeoPlatformMap theMapWidget) {
        super(Resources.ICONS.zoomPrevious(),
                MapModuleConstants.INSTANCE.ZoomPreviousAction_tooltipText());
        this.mapWidget = theMapWidget;
        this.addHandler();
    }

    /**
     * (non-Javadoc)
     *
     * @see
     * com.extjs.gxt.ui.client.event.SelectionListener#componentSelected(com.extjs.gxt.ui.client.event.ComponentEvent)
     */
    @Override
    public void componentSelected(ButtonEvent ce) {
        ((MapLayoutWidget) this.mapWidget).getNavigationHistory().previousTrigger();
    }

    @Override
    public void addHandler() {
        this.handlerRegistration = GPHandlerManager.addHandler(
                ZoomPreviousEvent.TYPE, new ZoomPreviousEventHandler() {
            @Override
            public void onActivation(boolean activate) {
                if (activate) {
                    enable();
                } else {
                    disable();
                }
            }
        });
    }

    @Override
    public void removeHandler() {
        this.handlerRegistration.removeHandler();
    }
}
